新JavaScript例文辞典

スクリプトのバージョンを指定する

説明

スクリプトのバージョンを指定するにはscriptタグのtype属性でtext/javascriptを指定し直後に;で区切ってversion=1.7のように指定します。version=の後に読み込むスクリプトのバージョンを指定します。Firefoxではジェネレータやletなどは、スクリプトのバージョンを明示しないと動作しないので注意が必要です。

サンプルプログラム

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html lang="ja">
<head>
<meta http-equiv="content-type" content="text/html;charset=utf-8">
<title>Sample</title>
<link rel="stylesheet" href="css/main.css" type="text/css" media="all">
<script type="text/javascript;version=1.7" src="js/sample.js"></script>
</head>
<body>
<h1>バージョンを指定して実行する</h1>
<div id="result"></div>
</body>
</html>
サンプルを実行
[戻る]